package com.yifu.cloud.plus.v1.yifu.salary.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yifu.cloud.plus.v1.yifu.salary.entity.TInsuranceUnpurchasePersonSalary;

/**
 * 含风险项目不购买申请明细表-薪资关联
 *
 * @author hgw
 * @date 2025-1-15 12:00:57
 */
public interface TInsuranceUnpurchasePersonSalaryService extends IService<TInsuranceUnpurchasePersonSalary> {
	/**
	 * 含风险项目不购买申请明细表简单分页查询-薪资关联
	 *
	 * @param tInsuranceUnpurchasePerson 含风险项目不购买申请明细表-薪资关联
	 * @return
	 */
	IPage<TInsuranceUnpurchasePersonSalary> getTInsuranceUnpurchasePersonSalaryPage(Page<TInsuranceUnpurchasePersonSalary> page, TInsuranceUnpurchasePersonSalary tInsuranceUnpurchasePerson);

	void deletePersonSalaryBySalaryId(String salaryId);

}
